Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.hw
Class ModuleMux

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.hw.ModuleLogic
              rdlc.hw.ModuleMux

All Implemented Interfaces:
  Expression, Field

    public class ModuleMux

extends ModuleLogic

An abstract representation of a multiplexorin hardware. This is roughly a representation of verilog always and case statements. Notice that this extends the normal `ModuleLogic` class, using the same target and using the value instead as the select value.

Version:
  $Revision: 1.8 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Catalog<Expression,Expression>` | `muxCatalog` A catalog of select matches to result expressions.

Fields inherited from class rdlc.hw.ModuleLogic
`exp, target`

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`ModuleMux(Expression _target, Instance _instance, Expression _exp)` Simple constructor, records the given arguments.
`ModuleMux(ModuleWire _target, Instance _instance, Expression _exp)` Simple constructor, records the given arguments.

Method Summary
`Catalog<Expression,Expression>` | `getMuxCatalog()` Simple accessor.
`void` | `put(Expression match, Expression result)` Add a new match and result pair to this mux.

Methods inherited from class rdlc.hw.ModuleLogic
`copy, getExpression, getTarget`

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, toString, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### muxCatalog

    protected Catalog<Expression,Expression> muxCatalog

  A catalog of select matches to result expressions.

Constructor Detail

### ModuleMux

    public ModuleMux(Expression _target,
                     Instance _instance,
                     Expression _exp)

  Simple constructor, records the given arguments.

  Parameters:
    `_target` - The target of this mux.
    `_instance` - The instance to which this mux is being added.
    `_exp` - The expression to use as the select for this mux.

### ModuleMux

    public ModuleMux(ModuleWire _target,
                     Instance _instance,
                     Expression _exp)

  Simple constructor, records the given arguments.

  Parameters:
    `_target` - The target of this mux.
    `_instance` - The instance to which this mux is being added.
    `_exp` - The expression to use as the select for this mux.

Method Detail

### put

    public void put(Expression match,
                    Expression result)

  Add a new match and result pair to this mux.

  Parameters:
    `match` - The value the select expression must match.
    `result` - The result of the mux if it does match.

### getMuxCatalog

    public Catalog<Expression,Expression> getMuxCatalog()

  Simple accessor.

  Returns:
    A catalog of the match and result expressions in this mux.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD